curl --request POST \
--url https://api.unibee.dev/merchant/product/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"count": 123,
"page": 123,
"sortField": "<string>",
"sortType": "<string>",
"status": [
123
]
}
'{
"code": 123,
"data": {
"products": [
{
"createTime": 123,
"description": "<string>",
"homeUrl": "<string>",
"id": 123,
"imageUrl": "<string>",
"isDeleted": 123,
"merchantId": 123,
"metaData": "<string>",
"productName": "<string>",
"status": 123,
"usVATConfig": {
"active": true,
"fromAddress": {
"address": "<string>",
"city": "<string>",
"countryCode": "<string>",
"state": "<string>",
"verified": true,
"zipCode": "<string>"
},
"nexusAddresses": [
{
"address": "<string>",
"city": "<string>",
"countryCode": "<string>",
"state": "<string>",
"verified": true,
"zipCode": "<string>"
}
],
"sellOnUSOnly": true,
"taxCode": "<string>",
"toAddress": {
"address": "<string>",
"city": "<string>",
"countryCode": "<string>",
"state": "<string>",
"verified": true,
"zipCode": "<string>"
}
}
}
],
"total": 123
},
"merchantId": 123,
"message": "<string>",
"redirect": "<string>",
"requestId": "<string>"
}curl --request POST \
--url https://api.unibee.dev/merchant/product/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"count": 123,
"page": 123,
"sortField": "<string>",
"sortType": "<string>",
"status": [
123
]
}
'{
"code": 123,
"data": {
"products": [
{
"createTime": 123,
"description": "<string>",
"homeUrl": "<string>",
"id": 123,
"imageUrl": "<string>",
"isDeleted": 123,
"merchantId": 123,
"metaData": "<string>",
"productName": "<string>",
"status": 123,
"usVATConfig": {
"active": true,
"fromAddress": {
"address": "<string>",
"city": "<string>",
"countryCode": "<string>",
"state": "<string>",
"verified": true,
"zipCode": "<string>"
},
"nexusAddresses": [
{
"address": "<string>",
"city": "<string>",
"countryCode": "<string>",
"state": "<string>",
"verified": true,
"zipCode": "<string>"
}
],
"sellOnUSOnly": true,
"taxCode": "<string>",
"toAddress": {
"address": "<string>",
"city": "<string>",
"countryCode": "<string>",
"state": "<string>",
"verified": true,
"zipCode": "<string>"
}
}
}
],
"total": 123
},
"merchantId": 123,
"message": "<string>",
"redirect": "<string>",
"requestId": "<string>"
}https://api.unibee.dev/merchant/product/list
Get Product List
| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer <your_api_key> |
Content-Type | Yes | application/json (for request body) |
| Name | Type | Required | Description |
|---|---|---|---|
count | integer | No | Count Of Per Page |
page | integer | No | Page, Start 0 |
sortField | string | No | Sort Field,id|create_time|gmt_modify,Default id |
sortType | string | No | Sort Type,asc|desc,Default desc |
status | array | No | Filter, Default All,,Status,1-active,2-inactive |
curl -X POST "https://api.unibee.dev/merchant/product/list" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"count": 0,
"page": 0,
"sortField": "",
"sortType": "",
"status": []
}'
curl -X POST "https://api-sandbox.unibee.top/merchant/product/list" \
-H "Authorization: Bearer YOUR_SANDBOX_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"count": 0,
"page": 0,
"sortField": "",
"sortType": "",
"status": []
}'
code, data, message, redirect, and requestId. code 0 indicates success.
| Field | Type | Description |
|---|---|---|
code | integer | Response code. 0 = success |
data | object | Response payload |
data.products | array | Product Object List |
data.total | integer | Total |
message | string | Human-readable message |
requestId | string | Request ID for support |
| HTTP status | Meaning |
|---|---|
| 400 | Bad request — invalid or missing parameters. Check message in the body. |
| 401 | Unauthorized — missing or invalid API key. |
| 404 | Not found — invalid path or resource. |
| 500 | Server error — retry with backoff. |
code in the response body is non-zero, check message for details. Use requestId when contacting support.Bearer authentication header of the form Bearer <token>, where <token> is your auth token.